<!-- Button trigger modal -->
<div class="container">
  <div class="row">
    <div class="col-sm-3">
      <button
        type="button"
        class="btn btn-primary"
        data-bs-toggle="modal"
        data-bs-target="#editModal"
        (click) ="loadNewModal()"
      >
        Add New Vehicle Info
      </button>
    </div>
  </div>
</div>

<!-- Available Stock Modal -->
<div
  class="modal fade"
  id="exampleModal"
  tabindex="-1"
  aria-labelledby="exampleModalLabel"
  aria-hidden="true"
>
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">
          {{ modalBodyContent.brand }} - {{ modalBodyContent.model }}
        </h5>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="modal"
          aria-label="Close"
        ></button>
      </div>
      <div class="modal-body">
        <div class="alert-success">
          <p>
            {{ modalBodyContent.model }}- {{ modalBodyContent.variant }} --
            Available Stock is
          </p>
        </div>

        <li>Fiery Red - 5</li>
        <li>Polar White - 3</li>
        <li>Python Silver -7</li>
        <div class="alert alert-primary" role="alert">
          Total Available -<a href="#" class="alert-link">5</a>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">
          Close
        </button>
      </div>
    </div>
  </div>
</div>

<!-- Delete a Row Modal -->
<div
  class="modal fade"
  id="deleteModal"
  tabindex="-1"
  aria-labelledby="deleteModalLabel"
>
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="deleteModalLabel">
         Delete Confirmation 
        </h5>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="modal"
          aria-label="Close"
        ></button>
      </div>
      <div class="modal-body">
        <div class="alert alert-danger">
          <p> Can you confirm to Delete </p>
          <p>
            {{ modalBodyContent.brand }} -- {{ modalBodyContent.model }}- {{ modalBodyContent.variant }}
          </p>
        </div>
        <div class="alert alert-primary" role="alert">
          Total Available -<a href="#" class="alert-link">5</a>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">
          Close
        </button>
        <button type="submit" class="btn btn-danger">Delete</button>
      </div>
    </div>
  </div>
</div>

<!-- New / Edit Vehicle Stock Modal -->
<div
  class="modal fade"
  id="editModal"
  tabindex="-1"
  aria-labelledby="editModalLabel"
  aria-hidden="true"
>
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">{{modalElements.title}} {{ modalBodyContent.model }} {{ modalBodyContent.variant }} </h5>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="modal"
          aria-label="Close"
        ></button>
      </div>
      <div class="modal-body">
        <app-edit-modal-form  [vehicleInfo]="modalBodyContent" [action]="action"></app-edit-modal-form>
      </div>
      <div class="modal-footer"></div>
    </div>
  </div>
</div>
<!-- Data Table starts -->
<div class="container" style="padding: 10px">
  <div class="row">
    <div class="col">
      <table datatable id="example" class="table table-hover" width="100%">
        <thead>
          <tr>
            <th>Brand</th>
            <th>Model</th>
            <th>Year</th>
            <th>Variant</th>
            <th>Fuel</th>
            <th>Available</th>
            <th>Action</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let item of vehicleInfo">
            <td
              data-bs-toggle="modal"
              data-bs-target="#exampleModal"
              (click)="loadModal(item)"
            >
              {{ item.brand }}
            </td>
            <td
              data-bs-toggle="modal"
              data-bs-target="#exampleModal"
              (click)="loadModal(item)"
            >
              {{ item.model }}
            </td>
            <td
              data-bs-toggle="modal"
              data-bs-target="#exampleModal"
              (click)="loadModal(item)"
            >
              {{ item.year }}
            </td>
            <td
              data-bs-toggle="modal"
              data-bs-target="#exampleModal"
              (click)="loadModal(item)"
            >
              {{ item.variant }}
            </td>
            <td
              data-bs-toggle="modal"
              data-bs-target="#exampleModal"
              (click)="loadModal(item)"
            >
              {{ item.fuel }}
            </td>
            <td
              data-bs-toggle="modal"
              data-bs-target="#exampleModal"
              (click)="loadModal(item)"
            >
              5
            </td>
            <td>
              <button
                data-bs-toggle="modal"
                data-bs-target="#editModal"
                type="button"
                class="btn btn-warning"
                (click)="loadEditModal(item)"
              >
                EDIT
              </button>
              <span class="spacer"> &nbsp;&nbsp;&nbsp; </span>
              <button data-bs-toggle="modal"
              data-bs-target="#deleteModal" type="button" class="btn btn-danger"
              (click) = "loadDeleteModal(item)"
              >DELETE</button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>
